## org.bn.compiler.parser.model
Class AsnDefinedType

    java.lang.Object
      org.bn.compiler.parser.model.AsnDefinedType

    public class AsnDefinedType

extends java.lang.Object

Field Summary
`AsnConstraint` `constraint`
`boolean` `isModuleReference`
`java.lang.String` `moduleReference`
`java.lang.String` `name`
`java.lang.String` `typeName`

Constructor Summary
`AsnDefinedType()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraint

    public AsnConstraint constraint

### isModuleReference

    public boolean isModuleReference

### moduleReference

    public java.lang.String moduleReference

### name

    public java.lang.String name

### typeName

    public java.lang.String typeName

Constructor Detail

### AsnDefinedType

    public AsnDefinedType()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`